(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.1' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     38014,        891]
NotebookOptionsPosition[     35604,        840]
NotebookOutlinePosition[     36038,        857]
CellTagsIndexPosition[     35995,        854]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"<<", "VilCretas`"}]], "Input",
 CellChangeTimes->{{3.8145573372702236`*^9, 3.8145573443577523`*^9}},
 CellLabel->"In[1]:=",ExpressionUUID->"2114c7ca-8cf9-42fd-8292-915ec377a21e"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ArbolR", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"3", ",", "u"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"3", ",", "q"}], "}"}]}], "}"}], ",", "3"}], "]"}]], "Input",
 CellChangeTimes->{{3.8146165985092278`*^9, 3.814616623757432*^9}, {
   3.814616801150071*^9, 3.8146168035495872`*^9}, 3.814622676698375*^9},
 CellLabel->"In[46]:=",ExpressionUUID->"3f4b8eb9-c926-4663-8d51-e80a9ee7a947"],

Cell[BoxData[
 GraphicsBox[
  NamespaceBox["NetworkGraphics",
   DynamicModuleBox[{Typeset`graph = HoldComplete[
     Graph[{3, $CellContext`u, $CellContext`q}, {Null, {{1, 2}, {1, 3}}}, {
      ImagePadding -> 10, 
       VertexCoordinates -> {{0.4472135954999579, 0.8944271909999159}, {0., 
        0.}, {0.8944271909999159, 0.}}, VertexLabels -> {"Name"}, 
       VertexShapeFunction -> {"Circle"}}]]}, 
    TagBox[GraphicsGroupBox[{
       {Hue[0.6, 0.7, 0.5], Opacity[0.7], 
        LineBox[{{{0.4472135954999579, 0.8944271909999159}, {0., 0.}}, {{
         0.4472135954999579, 0.8944271909999159}, {0.8944271909999159, 
         0.}}}]}, 
       {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
        0.7]}], {
         DiskBox[{0.4472135954999579, 0.8944271909999159}, 
          0.011386058141428929], 
         InsetBox["3", 
          Offset[{2, 2}, {0.4585996536413869, 0.9058132491413448}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {DiskBox[{0., 0.}, 0.011386058141428929], 
         InsetBox["u", 
          Offset[{2, 2}, {0.011386058141428929, 0.011386058141428929}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.8944271909999159, 0.}, 0.011386058141428929], 
         InsetBox["q", 
          Offset[{2, 2}, {0.9058132491413448, 0.011386058141428929}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}}}],
     MouseAppearanceTag["NetworkGraphics"]],
    AllowKernelInitialization->False]],
  DefaultBaseStyle->{
   "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
  FormatType->TraditionalForm,
  FrameTicks->None,
  ImagePadding->10]], "Output",
 CellChangeTimes->{{3.814616618746564*^9, 3.8146166242178106`*^9}, 
   3.8146168043260455`*^9, 3.8146196963886614`*^9, 3.8146226816418858`*^9, 
   3.814623511405661*^9},
 CellLabel->"Out[46]=",ExpressionUUID->"06b73278-4c10-4fb7-9624-ac1c187e5e50"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ArbolR", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"6", ",", "3"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"6", ",", "i"}], "}"}]}], "}"}], ",", "6"}], "]"}]], "Input",
 CellChangeTimes->{{3.8146172510859957`*^9, 3.814617261998391*^9}, 
   3.8146196772528763`*^9, 3.814622733484838*^9},
 CellLabel->"In[47]:=",ExpressionUUID->"66388ef4-f477-49b4-9ae3-f8515bde5d48"],

Cell[BoxData[
 GraphicsBox[
  NamespaceBox["NetworkGraphics",
   DynamicModuleBox[{Typeset`graph = HoldComplete[
     Graph[{6, 3, $CellContext`i}, {Null, {{1, 2}, {1, 3}}}, {
      ImagePadding -> 10, 
       VertexCoordinates -> {{0.4472135954999579, 0.8944271909999159}, {0., 
        0.}, {0.8944271909999159, 0.}}, VertexLabels -> {"Name"}, 
       VertexShapeFunction -> {"Circle"}}]]}, 
    TagBox[GraphicsGroupBox[{
       {Hue[0.6, 0.7, 0.5], Opacity[0.7], 
        LineBox[{{{0.4472135954999579, 0.8944271909999159}, {0., 0.}}, {{
         0.4472135954999579, 0.8944271909999159}, {0.8944271909999159, 
         0.}}}]}, 
       {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
        0.7]}], {
         DiskBox[{0.4472135954999579, 0.8944271909999159}, 
          0.011386058141428929], 
         InsetBox["6", 
          Offset[{2, 2}, {0.4585996536413869, 0.9058132491413448}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {DiskBox[{0., 0.}, 0.011386058141428929], 
         InsetBox["3", 
          Offset[{2, 2}, {0.011386058141428929, 0.011386058141428929}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.8944271909999159, 0.}, 0.011386058141428929], 
         InsetBox["i", 
          Offset[{2, 2}, {0.9058132491413448, 0.011386058141428929}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}}}],
     MouseAppearanceTag["NetworkGraphics"]],
    AllowKernelInitialization->False]],
  DefaultBaseStyle->{
   "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
  FormatType->TraditionalForm,
  FrameTicks->None,
  ImagePadding->10]], "Output",
 CellChangeTimes->{3.8146172625126443`*^9, 3.8146196786390905`*^9, 
  3.8146197247370443`*^9, 3.814622747520108*^9, 3.8146235167858205`*^9},
 CellLabel->"Out[47]=",ExpressionUUID->"6621c5bd-22f7-4aa2-bb88-49071c08f732"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ArbolR", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"9", ",", "r"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"9", ",", "n"}], "}"}]}], "}"}], ",", "9"}], "]"}]], "Input",
 CellChangeTimes->{{3.814617656545411*^9, 3.8146176668293777`*^9}, {
  3.814619795196853*^9, 3.814619797312823*^9}, {3.8146228445690336`*^9, 
  3.8146228467034903`*^9}},
 CellLabel->"In[48]:=",ExpressionUUID->"d665cdd0-f56d-4dfc-995e-32668c80fae3"],

Cell[BoxData[
 GraphicsBox[
  NamespaceBox["NetworkGraphics",
   DynamicModuleBox[{Typeset`graph = HoldComplete[
     Graph[{9, $CellContext`r, $CellContext`n}, {Null, {{1, 2}, {1, 3}}}, {
      ImagePadding -> 10, 
       VertexCoordinates -> {{0.4472135954999579, 0.8944271909999159}, {0., 
        0.}, {0.8944271909999159, 0.}}, VertexLabels -> {"Name"}, 
       VertexShapeFunction -> {"Circle"}}]]}, 
    TagBox[GraphicsGroupBox[{
       {Hue[0.6, 0.7, 0.5], Opacity[0.7], 
        LineBox[{{{0.4472135954999579, 0.8944271909999159}, {0., 0.}}, {{
         0.4472135954999579, 0.8944271909999159}, {0.8944271909999159, 
         0.}}}]}, 
       {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
        0.7]}], {
         DiskBox[{0.4472135954999579, 0.8944271909999159}, 
          0.011386058141428929], 
         InsetBox["9", 
          Offset[{2, 2}, {0.4585996536413869, 0.9058132491413448}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {DiskBox[{0., 0.}, 0.011386058141428929], 
         InsetBox["r", 
          Offset[{2, 2}, {0.011386058141428929, 0.011386058141428929}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.8944271909999159, 0.}, 0.011386058141428929], 
         InsetBox["n", 
          Offset[{2, 2}, {0.9058132491413448, 0.011386058141428929}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}}}],
     MouseAppearanceTag["NetworkGraphics"]],
    AllowKernelInitialization->False]],
  DefaultBaseStyle->{
   "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
  FormatType->TraditionalForm,
  FrameTicks->None,
  ImagePadding->10]], "Output",
 CellChangeTimes->{3.8146176747286406`*^9, 3.814619799744894*^9, 
  3.814622848300683*^9, 3.8146235196523347`*^9},
 CellLabel->"Out[48]=",ExpressionUUID->"eec6aea6-e185-46a4-872a-ca7cc3688228"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ArbolR", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"12", ",", "6"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"12", ",", "e"}], "}"}]}], "}"}], ",", "12"}], "]"}]], "Input",
 CellChangeTimes->{{3.814620309847204*^9, 3.814620322647339*^9}},
 CellLabel->"In[49]:=",ExpressionUUID->"7c297cbf-243e-4480-93d0-864ad47670f9"],

Cell[BoxData[
 GraphicsBox[
  NamespaceBox["NetworkGraphics",
   DynamicModuleBox[{Typeset`graph = HoldComplete[
     Graph[{12, 6, $CellContext`e}, {Null, {{1, 2}, {1, 3}}}, {
      ImagePadding -> 10, 
       VertexCoordinates -> {{0.4472135954999579, 0.8944271909999159}, {0., 
        0.}, {0.8944271909999159, 0.}}, VertexLabels -> {"Name"}, 
       VertexShapeFunction -> {"Circle"}}]]}, 
    TagBox[GraphicsGroupBox[{
       {Hue[0.6, 0.7, 0.5], Opacity[0.7], 
        LineBox[{{{0.4472135954999579, 0.8944271909999159}, {0., 0.}}, {{
         0.4472135954999579, 0.8944271909999159}, {0.8944271909999159, 
         0.}}}]}, 
       {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
        0.7]}], {
         DiskBox[{0.4472135954999579, 0.8944271909999159}, 
          0.011386058141428929], 
         InsetBox["12", 
          Offset[{2, 2}, {0.4585996536413869, 0.9058132491413448}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {DiskBox[{0., 0.}, 0.011386058141428929], 
         InsetBox["6", 
          Offset[{2, 2}, {0.011386058141428929, 0.011386058141428929}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.8944271909999159, 0.}, 0.011386058141428929], 
         InsetBox["e", 
          Offset[{2, 2}, {0.9058132491413448, 0.011386058141428929}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}}}],
     MouseAppearanceTag["NetworkGraphics"]],
    AllowKernelInitialization->False]],
  DefaultBaseStyle->{
   "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
  FormatType->TraditionalForm,
  FrameTicks->None,
  ImagePadding->10]], "Output",
 CellChangeTimes->{3.8146203234038143`*^9, 3.814622961121087*^9, 
  3.814623522255734*^9},
 CellLabel->"Out[49]=",ExpressionUUID->"192bc7b0-3a81-4859-86cf-6a3f54f366d8"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ArbolR", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"21", ",", "9"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"21", ",", "12"}], "}"}]}], "}"}], ",", "21"}], "]"}]], "Input",
 CellLabel->"In[50]:=",ExpressionUUID->"537a23bd-eee9-4208-9076-f6279ba5df70"],

Cell[BoxData[
 GraphicsBox[
  NamespaceBox["NetworkGraphics",
   DynamicModuleBox[{Typeset`graph = HoldComplete[
     Graph[{21, 9, 12}, {Null, {{1, 2}, {1, 3}}}, {
      ImagePadding -> 10, 
       VertexCoordinates -> {{0.4472135954999579, 0.8944271909999159}, {0., 
        0.}, {0.8944271909999159, 0.}}, VertexLabels -> {"Name"}, 
       VertexShapeFunction -> {"Circle"}}]]}, 
    TagBox[GraphicsGroupBox[{
       {Hue[0.6, 0.7, 0.5], Opacity[0.7], 
        LineBox[{{{0.4472135954999579, 0.8944271909999159}, {0., 0.}}, {{
         0.4472135954999579, 0.8944271909999159}, {0.8944271909999159, 
         0.}}}]}, 
       {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
        0.7]}], {
         DiskBox[{0.4472135954999579, 0.8944271909999159}, 
          0.011386058141428929], 
         InsetBox["21", 
          Offset[{2, 2}, {0.4585996536413869, 0.9058132491413448}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {DiskBox[{0., 0.}, 0.011386058141428929], 
         InsetBox["9", 
          Offset[{2, 2}, {0.011386058141428929, 0.011386058141428929}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.8944271909999159, 0.}, 0.011386058141428929], 
         InsetBox["12", 
          Offset[{2, 2}, {0.9058132491413448, 0.011386058141428929}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}}}],
     MouseAppearanceTag["NetworkGraphics"]],
    AllowKernelInitialization->False]],
  DefaultBaseStyle->{
   "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
  FormatType->TraditionalForm,
  FrameTicks->None,
  ImagePadding->10]], "Output",
 CellChangeTimes->{3.814621124621253*^9, 3.814623524978527*^9},
 CellLabel->"Out[50]=",ExpressionUUID->"61b2d48e-5b7e-4e37-b086-39e4f26c5d7f"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ArbolR", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"21", ",", "9"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"21", ",", "12"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"9", ",", "r"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"9", ",", "n"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"12", ",", "6"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"12", ",", "e"}], "}"}]}], "}"}], ",", "21"}], "]"}]], "Input",
 CellChangeTimes->{{3.814620441879381*^9, 3.8146204512363596`*^9}, {
  3.8146209466286783`*^9, 3.8146209553088818`*^9}, {3.8146230538441987`*^9, 
  3.8146230557770324`*^9}},
 CellLabel->"In[51]:=",ExpressionUUID->"6b96ff20-ac52-4580-8684-8873608b309b"],

Cell[BoxData[
 GraphicsBox[
  NamespaceBox["NetworkGraphics",
   DynamicModuleBox[{Typeset`graph = HoldComplete[
     Graph[{21, 9, 12, $CellContext`r, $CellContext`n, 6, $CellContext`e}, {
      Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}}}, {
      ImagePadding -> 10, 
       VertexCoordinates -> {{1.2247448713915892`, 1.6329931618554523`}, {
        0.4082482904638631, 0.8164965809277261}, {2.041241452319315, 
        0.8164965809277261}, {0., 0.}, {0.8164965809277261, 0.}, {
        1.6329931618554523`, 0.}, {2.4494897427831783`, 0.}}, 
       VertexLabels -> {"Name"}, VertexShapeFunction -> {"Circle"}}]]}, 
    TagBox[GraphicsGroupBox[{
       {Hue[0.6, 0.7, 0.5], Opacity[0.7], 
        LineBox[{{{1.2247448713915892`, 1.6329931618554523`}, {
         0.4082482904638631, 0.8164965809277261}}, {{1.2247448713915892`, 
         1.6329931618554523`}, {2.041241452319315, 0.8164965809277261}}, {{
         0.4082482904638631, 0.8164965809277261}, {0., 0.}}, {{
         0.4082482904638631, 0.8164965809277261}, {0.8164965809277261, 
         0.}}, {{2.041241452319315, 0.8164965809277261}, {1.6329931618554523`,
          0.}}, {{2.041241452319315, 0.8164965809277261}, {
         2.4494897427831783`, 0.}}}]}, 
       {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
        0.7]}], {
         DiskBox[{1.2247448713915892, 1.6329931618554523}, 
          0.02615707791054188], 
         InsetBox["21", 
          Offset[{2, 2}, {1.250901949302131, 1.659150239765994}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.4082482904638631, 0.8164965809277261}, 
          0.02615707791054188], 
         InsetBox["9", 
          Offset[{2, 2}, {0.43440536837440497, 0.842653658838268}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.041241452319315, 0.8164965809277261}, 
          0.02615707791054188], 
         InsetBox["12", 
          Offset[{2, 2}, {2.067398530229857, 0.842653658838268}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {DiskBox[{0., 0.}, 0.02615707791054188], 
         InsetBox["r", 
          Offset[{2, 2}, {0.02615707791054188, 0.02615707791054188}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.8164965809277261, 0.}, 0.02615707791054188], 
         InsetBox["n", 
          Offset[{2, 2}, {0.842653658838268, 0.02615707791054188}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.6329931618554523, 0.}, 0.02615707791054188], 
         InsetBox["6", 
          Offset[{2, 2}, {1.659150239765994, 0.02615707791054188}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.4494897427831783, 0.}, 0.02615707791054188], 
         InsetBox["e", 
          Offset[{2, 2}, {2.4756468206937203, 0.02615707791054188}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}}}],
     MouseAppearanceTag["NetworkGraphics"]],
    AllowKernelInitialization->False]],
  DefaultBaseStyle->{
   "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
  FormatType->TraditionalForm,
  FrameTicks->None,
  ImagePadding->10]], "Output",
 CellChangeTimes->{3.814620451688694*^9, 3.814620956526433*^9, 
  3.8146230612501116`*^9, 3.8146235277748213`*^9},
 CellLabel->"Out[51]=",ExpressionUUID->"61180143-8ec5-476a-b9e8-748b6d9e4df2"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ArbolR", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"21", ",", "9"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"21", ",", "12"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"9", ",", "r"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"9", ",", "n"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"12", ",", "6"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"12", ",", "e"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"6", ",", "3"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"6", ",", "i"}], "}"}]}], "}"}], ",", "21"}], "]"}]], "Input",
 CellChangeTimes->{{3.8146211721893244`*^9, 3.8146211725054708`*^9}, {
  3.8146231136962347`*^9, 3.8146231265595737`*^9}},
 CellLabel->"In[52]:=",ExpressionUUID->"e4df1261-b4a8-48e1-b987-226a285cf2ed"],

Cell[BoxData[
 GraphicsBox[
  NamespaceBox["NetworkGraphics",
   DynamicModuleBox[{Typeset`graph = HoldComplete[
     Graph[{
      21, 9, 12, $CellContext`r, $CellContext`n, 6, $CellContext`e, 
       3, $CellContext`i}, {
      Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {6, 8}, {6, 
       9}}}, {ImagePadding -> 10, 
       VertexCoordinates -> {{1.2510864843424487`, 2.5021729686848975`}, {
        0.41702882811414954`, 1.6681153124565984`}, {2.0851441405707476`, 
        1.6681153124565984`}, {0., 0.8340576562282993}, {0.8340576562282991, 
        0.8340576562282993}, {1.6681153124565982`, 0.8340576562282993}, {
        2.5021729686848975`, 0.8340576562282993}, {1.2510864843424487`, 0.}, {
        2.0851441405707476`, 0.}}, VertexLabels -> {"Name"}, 
       VertexShapeFunction -> {"Circle"}}]]}, 
    TagBox[GraphicsGroupBox[{
       {Hue[0.6, 0.7, 0.5], Opacity[0.7], 
        LineBox[{{{1.2510864843424487`, 2.5021729686848975`}, {
         0.41702882811414954`, 1.6681153124565984`}}, {{1.2510864843424487`, 
         2.5021729686848975`}, {2.0851441405707476`, 1.6681153124565984`}}, {{
         0.41702882811414954`, 1.6681153124565984`}, {0., 
         0.8340576562282993}}, {{0.41702882811414954`, 1.6681153124565984`}, {
         0.8340576562282991, 0.8340576562282993}}, {{2.0851441405707476`, 
         1.6681153124565984`}, {1.6681153124565982`, 0.8340576562282993}}, {{
         2.0851441405707476`, 1.6681153124565984`}, {2.5021729686848975`, 
         0.8340576562282993}}, {{1.6681153124565982`, 0.8340576562282993}, {
         1.2510864843424487`, 0.}}, {{1.6681153124565982`, 
         0.8340576562282993}, {2.0851441405707476`, 0.}}}]}, 
       {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
        0.7]}], {
         DiskBox[{1.2510864843424487, 2.5021729686848975}, 
          0.026559767392587183], 
         InsetBox["21", 
          Offset[{2, 2}, {1.277646251735036, 2.5287327360774845}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.41702882811414954, 1.6681153124565984}, 
          0.026559767392587183], 
         InsetBox["9", 
          Offset[{2, 2}, {0.44358859550673674, 1.6946750798491856}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.0851441405707476, 1.6681153124565984}, 
          0.026559767392587183], 
         InsetBox["12", 
          Offset[{2, 2}, {2.1117039079633346, 1.6946750798491856}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0., 0.8340576562282993}, 0.026559767392587183], 
         InsetBox["r", 
          Offset[{2, 2}, {0.026559767392587183, 0.8606174236208864}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.8340576562282991, 0.8340576562282993}, 
          0.026559767392587183], 
         InsetBox["n", 
          Offset[{2, 2}, {0.8606174236208862, 0.8606174236208864}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.6681153124565982, 0.8340576562282993}, 
          0.026559767392587183], 
         InsetBox["6", 
          Offset[{2, 2}, {1.6946750798491854, 0.8606174236208864}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.5021729686848975, 0.8340576562282993}, 
          0.026559767392587183], 
         InsetBox["e", 
          Offset[{2, 2}, {2.5287327360774845, 0.8606174236208864}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.2510864843424487, 0.}, 0.026559767392587183], 
         InsetBox["3", 
          Offset[{2, 2}, {1.277646251735036, 0.026559767392587183}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.0851441405707476, 0.}, 0.026559767392587183], 
         InsetBox["i", 
          Offset[{2, 2}, {2.1117039079633346, 0.026559767392587183}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}}}],
     MouseAppearanceTag["NetworkGraphics"]],
    AllowKernelInitialization->False]],
  DefaultBaseStyle->{
   "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
  FormatType->TraditionalForm,
  FrameTicks->None,
  ImagePadding->10]], "Output",
 CellChangeTimes->{3.814621176895191*^9, 3.814623139752469*^9, 
  3.814623530596386*^9},
 CellLabel->"Out[52]=",ExpressionUUID->"0d0a8f7d-c194-4bdd-b3c9-67f83a309863"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ArbolR", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"21", ",", "9"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"21", ",", "12"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"9", ",", "r"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"9", ",", "n"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"12", ",", "6"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"12", ",", "e"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"6", ",", "3"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"6", ",", "i"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"3", ",", "u"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"3", ",", "q"}], "}"}]}], "}"}], ",", "21"}], "]"}]], "Input",
 CellChangeTimes->{{3.8146212858841844`*^9, 3.8146212862452173`*^9}, {
  3.814623165399396*^9, 3.814623181667325*^9}},
 CellLabel->"In[53]:=",ExpressionUUID->"21028807-8814-48bc-89a4-c235847dcf9f"],

Cell[BoxData[
 GraphicsBox[
  NamespaceBox["NetworkGraphics",
   DynamicModuleBox[{Typeset`graph = HoldComplete[
     Graph[{
      21, 9, 12, $CellContext`r, $CellContext`n, 6, $CellContext`e, 
       3, $CellContext`i, $CellContext`u, $CellContext`q}, {
      Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {6, 8}, {6, 9}, {
       8, 10}, {8, 11}}}, {
      ImagePadding -> 10, 
       VertexCoordinates -> {{1.267731382092775, 3.3806170189140663`}, {
        0.4225771273642583, 2.53546276418555}, {2.1128856368212916`, 
        2.53546276418555}, {0., 1.6903085094570331`}, {0.8451542547285166, 
        1.6903085094570331`}, {1.6903085094570331`, 1.6903085094570331`}, {
        2.53546276418555, 1.6903085094570331`}, {1.267731382092775, 
        0.8451542547285165}, {2.1128856368212916`, 0.8451542547285165}, {
        0.8451542547285166, 0.}, {1.6903085094570331`, 0.}}, 
       VertexLabels -> {"Name"}, VertexShapeFunction -> {"Circle"}}]]}, 
    TagBox[GraphicsGroupBox[{
       {Hue[0.6, 0.7, 0.5], Opacity[0.7], LineBox[CompressedData["
1:eJxTTMoPSmVmYGDgAmImKN5psXjzAo8v9gu9W943cHM7QOjb9hBxFgd0edf1
m6YaPGdwgMmjq2eAAoj4b3t0eQj/tT1MHrt5v3HK41IHo2HuXYBmD7p5MHns
6l/bw/yByzyYPABtLZJk
         "]]}, 
       {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
        0.7]}], {
         DiskBox[{1.267731382092775, 3.3806170189140663}, 
          0.03290821123233907], 
         InsetBox["21", 
          Offset[{2, 2}, {1.300639593325114, 3.4135252301464054}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.4225771273642583, 2.53546276418555}, 0.03290821123233907],
          InsetBox["9", 
          Offset[{2, 2}, {0.45548533859659734, 2.568370975417889}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.1128856368212916, 2.53546276418555}, 0.03290821123233907],
          InsetBox["12", 
          Offset[{2, 2}, {2.1457938480536307, 2.568370975417889}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0., 1.6903085094570331}, 0.03290821123233907], 
         InsetBox["r", 
          Offset[{2, 2}, {0.03290821123233907, 1.7232167206893723}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.8451542547285166, 1.6903085094570331}, 
          0.03290821123233907], 
         InsetBox["n", 
          Offset[{2, 2}, {0.8780624659608557, 1.7232167206893723}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.6903085094570331, 1.6903085094570331}, 
          0.03290821123233907], 
         InsetBox["6", 
          Offset[{2, 2}, {1.7232167206893723, 1.7232167206893723}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.53546276418555, 1.6903085094570331}, 0.03290821123233907],
          InsetBox["e", 
          Offset[{2, 2}, {2.568370975417889, 1.7232167206893723}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.267731382092775, 0.8451542547285165}, 
          0.03290821123233907], 
         InsetBox["3", 
          Offset[{2, 2}, {1.300639593325114, 0.8780624659608556}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.1128856368212916, 0.8451542547285165}, 
          0.03290821123233907], 
         InsetBox["i", 
          Offset[{2, 2}, {2.1457938480536307, 0.8780624659608556}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.8451542547285166, 0.}, 0.03290821123233907], 
         InsetBox["u", 
          Offset[{2, 2}, {0.8780624659608557, 0.03290821123233907}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.6903085094570331, 0.}, 0.03290821123233907], 
         InsetBox["q", 
          Offset[{2, 2}, {1.7232167206893723, 0.03290821123233907}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}}}],
     MouseAppearanceTag["NetworkGraphics"]],
    AllowKernelInitialization->False]],
  DefaultBaseStyle->{
   "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
  FormatType->TraditionalForm,
  FrameTicks->None,
  ImagePadding->10]], "Output",
 CellChangeTimes->{3.8146212875038443`*^9, 3.814621502759465*^9, 
  3.8146231842416153`*^9, 3.8146235335659337`*^9},
 CellLabel->"Out[53]=",ExpressionUUID->"7b536420-a2bb-46a2-80f1-e0ff32f87403"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ArbolR", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"21", ",", "9"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"21", ",", "12"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"9", ",", "r"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"9", ",", "n"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"12", ",", "6"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"12", ",", "e"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"6", ",", "3"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"6", ",", "i"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"3", ",", "u"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"3", ",", "q"}], "}"}]}], "}"}], ",", "21", ",", 
   RowBox[{"pesos", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
     "1", ",", "0", ",", "1", ",", "0", ",", "1", ",", "0", ",", "1", ",", 
      "0", ",", "1", ",", "0"}], "}"}]}], ",", 
   RowBox[{"mostrarpesos", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.8146217110907903`*^9, 3.814621784576506*^9}, 
   3.8146232598363667`*^9},
 CellLabel->"In[54]:=",ExpressionUUID->"2f7f6ae2-8732-4e31-ae20-d05939589c08"],

Cell[BoxData[
 GraphicsBox[
  NamespaceBox["NetworkGraphics",
   DynamicModuleBox[{Typeset`graph = HoldComplete[
     Graph[{
      21, 9, 12, $CellContext`r, $CellContext`n, 6, $CellContext`e, 
       3, $CellContext`i, $CellContext`u, $CellContext`q}, {
      Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {6, 8}, {6, 9}, {
       8, 10}, {8, 11}}}, {
      EdgeLabels -> {
        UndirectedEdge[6, $CellContext`i] -> 0, 
         UndirectedEdge[9, $CellContext`r] -> 1, 
         UndirectedEdge[3, $CellContext`q] -> 0, UndirectedEdge[21, 12] -> 0, 
         UndirectedEdge[12, $CellContext`e] -> 0, UndirectedEdge[21, 9] -> 1, 
         UndirectedEdge[6, 3] -> 1, UndirectedEdge[9, $CellContext`n] -> 0, 
         UndirectedEdge[3, $CellContext`u] -> 1, UndirectedEdge[12, 6] -> 1}, 
       EdgeWeight -> {1, 0, 1, 0, 1, 0, 1, 0, 1, 0}, ImagePadding -> 10, 
       VertexCoordinates -> {{1.267731382092775, 3.3806170189140663`}, {
        0.4225771273642583, 2.53546276418555}, {2.1128856368212916`, 
        2.53546276418555}, {0., 1.6903085094570331`}, {0.8451542547285166, 
        1.6903085094570331`}, {1.6903085094570331`, 1.6903085094570331`}, {
        2.53546276418555, 1.6903085094570331`}, {1.267731382092775, 
        0.8451542547285165}, {2.1128856368212916`, 0.8451542547285165}, {
        0.8451542547285166, 0.}, {1.6903085094570331`, 0.}}, 
       VertexLabels -> {"Name"}, VertexShapeFunction -> {"Circle"}}]]}, 
    TagBox[GraphicsGroupBox[{
       {Hue[0.6, 0.7, 0.5], Opacity[
        0.7], {LineBox[{{1.267731382092775, 3.3806170189140663`}, {
          0.4225771273642583, 2.53546276418555}}], 
         InsetBox["1", {0.8451542547285166, 2.958039891549808}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{1.267731382092775, 3.3806170189140663`}, {
          2.1128856368212916`, 2.53546276418555}}], 
         InsetBox["0", {1.6903085094570334, 2.958039891549808}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{0.4225771273642583, 2.53546276418555}, {0., 
          1.6903085094570331`}}], 
         InsetBox["1", {0.21128856368212914, 2.1128856368212916}, ImageScaled[
          {0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{0.4225771273642583, 2.53546276418555}, {0.8451542547285166,
           1.6903085094570331`}}], 
         InsetBox["0", {0.6338656910463875, 2.1128856368212916}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{2.1128856368212916`, 2.53546276418555}, {
          1.6903085094570331`, 1.6903085094570331`}}], 
         InsetBox["1", {1.9015970731391625, 2.1128856368212916}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{2.1128856368212916`, 2.53546276418555}, {2.53546276418555, 
          1.6903085094570331`}}], 
         InsetBox["0", {2.3241742005034207, 2.1128856368212916}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{1.6903085094570331`, 1.6903085094570331`}, {
          1.267731382092775, 0.8451542547285165}}], 
         InsetBox["1", {1.479019945774904, 1.2677313820927747}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{1.6903085094570331`, 1.6903085094570331`}, {
          2.1128856368212916`, 0.8451542547285165}}], 
         InsetBox["0", {1.9015970731391625, 1.2677313820927747}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{1.267731382092775, 0.8451542547285165}, {
          0.8451542547285166, 0.}}], 
         InsetBox["1", {1.0564428184106458, 0.42257712736425823}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{1.267731382092775, 0.8451542547285165}, {
          1.6903085094570331`, 0.}}], 
         InsetBox["0", {1.479019945774904, 0.42257712736425823}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}}, 
       {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
        0.7]}], {
         DiskBox[{1.267731382092775, 3.3806170189140663}, 
          0.03290821123233907], 
         InsetBox["21", 
          Offset[{2, 2}, {1.300639593325114, 3.4135252301464054}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.4225771273642583, 2.53546276418555}, 0.03290821123233907],
          InsetBox["9", 
          Offset[{2, 2}, {0.45548533859659734, 2.568370975417889}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.1128856368212916, 2.53546276418555}, 0.03290821123233907],
          InsetBox["12", 
          Offset[{2, 2}, {2.1457938480536307, 2.568370975417889}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0., 1.6903085094570331}, 0.03290821123233907], 
         InsetBox["r", 
          Offset[{2, 2}, {0.03290821123233907, 1.7232167206893723}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.8451542547285166, 1.6903085094570331}, 
          0.03290821123233907], 
         InsetBox["n", 
          Offset[{2, 2}, {0.8780624659608557, 1.7232167206893723}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.6903085094570331, 1.6903085094570331}, 
          0.03290821123233907], 
         InsetBox["6", 
          Offset[{2, 2}, {1.7232167206893723, 1.7232167206893723}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.53546276418555, 1.6903085094570331}, 0.03290821123233907],
          InsetBox["e", 
          Offset[{2, 2}, {2.568370975417889, 1.7232167206893723}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.267731382092775, 0.8451542547285165}, 
          0.03290821123233907], 
         InsetBox["3", 
          Offset[{2, 2}, {1.300639593325114, 0.8780624659608556}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.1128856368212916, 0.8451542547285165}, 
          0.03290821123233907], 
         InsetBox["i", 
          Offset[{2, 2}, {2.1457938480536307, 0.8780624659608556}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.8451542547285166, 0.}, 0.03290821123233907], 
         InsetBox["u", 
          Offset[{2, 2}, {0.8780624659608557, 0.03290821123233907}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.6903085094570331, 0.}, 0.03290821123233907], 
         InsetBox["q", 
          Offset[{2, 2}, {1.7232167206893723, 0.03290821123233907}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}}}],
     MouseAppearanceTag["NetworkGraphics"]],
    AllowKernelInitialization->False]],
  DefaultBaseStyle->{
   "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
  FormatType->TraditionalForm,
  FrameTicks->None,
  ImagePadding->10]], "Output",
 CellChangeTimes->{3.814621875707838*^9, 3.81462326113706*^9, 
  3.8146235369939737`*^9},
 CellLabel->"Out[54]=",ExpressionUUID->"14d81dc9-599a-4813-975d-d8264bec703f"]
}, Open  ]]
},
WindowSize->{960, 478},
WindowMargins->{{-5.5, Automatic}, {Automatic, -5.5}},
Magnification:>1.5 Inherited,
FrontEndVersion->"12.1 para Microsoft Windows (64-bit) (March 14, 2020)",
StyleDefinitions->"Default.nb",
ExpressionUUID->"e8edd6d5-7d50-45ad-84ac-0ef86f242c71"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 202, 3, 63, "Input",ExpressionUUID->"2114c7ca-8cf9-42fd-8292-915ec377a21e"],
Cell[CellGroupData[{
Cell[785, 27, 458, 11, 91, "Input",ExpressionUUID->"3f4b8eb9-c926-4663-8d51-e80a9ee7a947"],
Cell[1246, 40, 1931, 41, 743, "Output",ExpressionUUID->"06b73278-4c10-4fb7-9624-ac1c187e5e50"]
}, Open  ]],
Cell[CellGroupData[{
Cell[3214, 86, 434, 11, 91, "Input",ExpressionUUID->"66388ef4-f477-49b4-9ae3-f8515bde5d48"],
Cell[3651, 99, 1889, 40, 743, "Output",ExpressionUUID->"6621c5bd-22f7-4aa2-bb88-49071c08f732"]
}, Open  ]],
Cell[CellGroupData[{
Cell[5577, 144, 486, 12, 91, "Input",ExpressionUUID->"d665cdd0-f56d-4dfc-995e-32668c80fae3"],
Cell[6066, 158, 1876, 40, 743, "Output",ExpressionUUID->"eec6aea6-e185-46a4-872a-ca7cc3688228"]
}, Open  ]],
Cell[CellGroupData[{
Cell[7979, 203, 385, 10, 91, "Input",ExpressionUUID->"7c297cbf-243e-4480-93d0-864ad47670f9"],
Cell[8367, 215, 1841, 40, 743, "Output",ExpressionUUID->"192bc7b0-3a81-4859-86cf-6a3f54f366d8"]
}, Open  ]],
Cell[CellGroupData[{
Cell[10245, 260, 320, 9, 91, "Input",ExpressionUUID->"537a23bd-eee9-4208-9076-f6279ba5df70"],
Cell[10568, 271, 1803, 39, 743, "Output",ExpressionUUID->"61b2d48e-5b7e-4e37-b086-39e4f26c5d7f"]
}, Open  ]],
Cell[CellGroupData[{
Cell[12408, 315, 748, 20, 135, "Input",ExpressionUUID->"6b96ff20-ac52-4580-8684-8873608b309b"],
Cell[13159, 337, 3417, 70, 545, "Output",ExpressionUUID->"61180143-8ec5-476a-b9e8-748b6d9e4df2"]
}, Open  ]],
Cell[CellGroupData[{
Cell[16613, 412, 823, 23, 135, "Input",ExpressionUUID->"e4df1261-b4a8-48e1-b987-226a285cf2ed"],
Cell[17439, 437, 4418, 91, 743, "Output",ExpressionUUID->"0d0a8f7d-c194-4bdd-b3c9-67f83a309863"]
}, Open  ]],
Cell[CellGroupData[{
Cell[21894, 533, 945, 27, 179, "Input",ExpressionUUID->"21028807-8814-48bc-89a4-c235847dcf9f"],
Cell[22842, 562, 4436, 95, 941, "Output",ExpressionUUID->"7b536420-a2bb-46a2-80f1-e0ff32f87403"]
}, Open  ]],
Cell[CellGroupData[{
Cell[27315, 662, 1164, 33, 298, "Input",ExpressionUUID->"2f7f6ae2-8732-4e31-ae20-d05939589c08"],
Cell[28482, 697, 7106, 140, 941, "Output",ExpressionUUID->"14d81dc9-599a-4813-975d-d8264bec703f"]
}, Open  ]]
}
]
*)

